
QGIS Application - Bug report #10669

Processing - AttributeError NoneType object has no attribute setEnabled

2014-06-22 01:50 AM - Pedro Venâncio

Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 19068

Description

This error appears when I run any Processing tool.

An error has occured while executing Python code:

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/processing/gui/AlgorithmExecutionDialog.py", line 264, in accept

    self.finish()

  File "/usr/share/qgis/python/plugins/processing/gui/AlgorithmExecutionDialog.py", line 293, in finish

    self.resetGUI()

  File "/usr/share/qgis/python/plugins/processing/gui/AlgorithmExecutionDialog.py", line 311, in resetGUI

    self.buttonBox.button(QtGui.QDialogButtonBox.Cancel).setEnabled(False)

AttributeError: 'NoneType' object has no attribute 'setEnabled'

Python version:

2.7.3 (default, Feb 27 2014, 20:11:37) 

[GCC 4.6.3]

QGIS version:

2.3.0-Master Master, exported

Despite the error, the tool runs correctly.

It happens with both vector and raster tools.

Tested on Linux and Windows, with today's nightly.

History

#1 - 2014-06-22 02:09 AM - Pedro Venâncio

I think the problem was introduced in commit:9256ca5b5cb898f171846725572a7bf5c838c7af

#2 - 2014-06-22 02:28 AM - Giovanni Manghi

- Status changed from Open to Feedback

I cannot confirm here on both Linux and Windows.
#3 - 2014-06-22 02:35 AM - Pedro Venâncio

What version are you using Giovanni?

I'm with 2.3.0+git20140621+522f2e4~precise-ubuntugis1

and that commit was on 2014-06-20.

#4 - 2014-06-22 02:49 AM - Giovanni Manghi

Pedro Venâncio wrote:

What version are you using Giovanni?

I'm with 2.3.0+git20140621+522f2e4~precise-ubuntugis1

yes that's it. No error here.

#5 - 2014-06-22 11:59 AM - Giovanni Manghi

- Status changed from Feedback to Open

I can see it now.

#6 - 2014-06-22 01:39 PM - Salvatore Larosa

- Resolution set to fixed/implemented

Fixed in commit:cfe43c35730de1ba2929562935ff7d6ae3a1d63e

#7 - 2014-06-22 01:40 PM - Salvatore Larosa

- Status changed from Open to Closed

#8 - 2014-06-23 01:49 AM - Pedro Venâncio

Fix confirmed!

Thank you very much Salvatore!

#9 - 2015-06-07 04:31 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core
